For the complete documentation index, see llms.txt. This page is also available as Markdown.

WebSockets

The WebSocket API provides real-time streaming updates for token data such as token profiles, boosts, and community take-overs.

Get the latest token profiles

get
Responses
101

Connection Established

application/json
limitintegerOptionalExample: 90
get/token-profiles/latest/v1
GET /token-profiles/latest/v1 HTTP/1.1
Accept: */*
101

Connection Established

{
  "limit": 90,
  "data": [
    {
      "url": "https://example.com",
      "chainId": "text",
      "tokenAddress": "text",
      "icon": "https://example.com",
      "header": "https://example.com",
      "description": "text",
      "links": [
        {
          "type": "text",
          "label": "text",
          "url": "https://example.com"
        }
      ]
    }
  ]
}

Get recently updated token profiles

get
Responses
101

Connection Established

application/json
limitintegerOptionalExample: 90
get/token-profiles/recent-updates/v1
GET /token-profiles/recent-updates/v1 HTTP/1.1
Accept: */*
101

Connection Established

{
  "limit": 90,
  "data": [
    {
      "url": "https://example.com",
      "chainId": "text",
      "tokenAddress": "text",
      "icon": "https://example.com",
      "header": "https://example.com",
      "description": "text",
      "links": [
        {
          "type": "text",
          "label": "text",
          "url": "https://example.com"
        }
      ]
    }
  ]
}

Get the latest token community takeovers

get
Responses
101

Connection Established

application/json
limitintegerOptionalExample: 90
get/community-takeovers/latest/v1
GET /community-takeovers/latest/v1 HTTP/1.1
Accept: */*
101

Connection Established

{
  "limit": 90,
  "data": [
    {
      "url": "https://example.com",
      "chainId": "text",
      "tokenAddress": "text",
      "icon": "https://example.com",
      "header": "https://example.com",
      "description": "text",
      "links": [
        {
          "type": "text",
          "label": "text",
          "url": "https://example.com"
        }
      ],
      "claimDate": "2026-01-01T00:00:00.000Z"
    }
  ]
}

Get the latest ads

get
Responses
101

Connection Established

application/json
limitintegerOptionalExample: 90
get/ads/latest/v1
GET /ads/latest/v1 HTTP/1.1
Accept: */*
101

Connection Established

{
  "limit": 90,
  "data": [
    {
      "url": "https://example.com",
      "chainId": "text",
      "tokenAddress": "text",
      "date": "2026-01-01T00:00:00.000Z",
      "type": "text",
      "durationHours": 1,
      "impressions": 1
    }
  ]
}

Get the latest boosted tokens

get
Responses
101

Connection Established

application/json
limitintegerOptionalExample: 90
get/token-boosts/latest/v1
GET /token-boosts/latest/v1 HTTP/1.1
Accept: */*
101

Connection Established

{
  "limit": 90,
  "data": [
    {
      "url": "https://example.com",
      "chainId": "text",
      "tokenAddress": "text",
      "amount": 1,
      "totalAmount": 1,
      "icon": "https://example.com",
      "header": "https://example.com",
      "description": "text",
      "links": [
        {
          "type": "text",
          "label": "text",
          "url": "https://example.com"
        }
      ]
    }
  ]
}

Get the tokens with most active boosts

get
Responses
101

Connection Established

application/json
limitintegerOptionalExample: 90
get/token-boosts/top/v1
GET /token-boosts/top/v1 HTTP/1.1
Accept: */*
101

Connection Established

{
  "limit": 90,
  "data": [
    {
      "url": "https://example.com",
      "chainId": "text",
      "tokenAddress": "text",
      "amount": 1,
      "totalAmount": 1,
      "icon": "https://example.com",
      "header": "https://example.com",
      "description": "text",
      "links": [
        {
          "type": "text",
          "label": "text",
          "url": "https://example.com"
        }
      ]
    }
  ]
}

Last updated